import { MonkeyEcxServiceCredentials } from '../interfaces';
export declare function MonkeyEcxCoreServiceConstructor(): (target: any) => any;
export declare function MonkeyEcxCoreLog(tp: string): (target: Object, propertyName: string, propertyDescriptor: PropertyDescriptor) => PropertyDescriptor;
export declare function MonkeyEcxCoreClearDecorators(): (target: Object, propertyName: string, propertyDescriptor: PropertyDescriptor) => PropertyDescriptor;
export declare function MonkeyEcxCoreService(params: MonkeyEcxServiceCredentials): (target: Object, propertyName: string, propertyDescriptor: PropertyDescriptor) => PropertyDescriptor;
export declare function MonkeyEcxCoreServicePaged(params: MonkeyEcxServiceCredentials): (target: Object, propertyName: string, propertyDescriptor: PropertyDescriptor) => PropertyDescriptor;
export declare function MonkeyEcxCoreServiceQueue(name: string, description?: string, params?: MonkeyEcxServiceCredentials): (target: Object, propertyName: string, propertyDescriptor: PropertyDescriptor) => PropertyDescriptor;
